using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace RB_MES_API.Models.Cloud
{
    /// <summary>
    /// Cloud自定义接口
    /// </summary>
    public class CustomService
    {
        [Key]
        public int FID { get; set; }

        [Required]
        [DisplayName("API适配版本")]
        [StringLength(255)]
        public int FApiGroupID { get; set; }
        [Required]
        [DisplayName("命名空间")]
        [StringLength(255)]
        public string FNamespace { get; set; } = string.Empty;
        [Required]
        [DisplayName("接口实现类名")]
        [StringLength(255)]
        public string FClassName { get; set; }= string.Empty;
        [Required]
        [DisplayName("方法名")]
        [StringLength(255)]
        public string FActionName { get; set; }= string.Empty;
        [Required]
        [DisplayName("服务组件名")]
        [StringLength(255)]
        public string FAppComponents { get; set; }= string.Empty;
        [ForeignKey("FApiGroupID")]
        public virtual APIGrou apigroup { get; set; }

    }
}
